-- Timeout expired
DECLARE @EC INT = 0 BEGIN TRANSACTION
BEGIN TRY
IF OBJECT_ID('tempdb..#PCPOSTABLE') IS NOT NULL DROP TABLE #PCPOSTABLE
COMMIT TRAN
END TRY
BEGIN CATCH
ROLLBACK TRAN
DECLARE @Message varchar(MAX) = ERROR_MESSAGE(), @Severity int = ERROR_SEVERITY(), @State smallint = ERROR_STATE()
RAISERROR(@Message, @Severity, @State)
END CATCH